use_sample_pack "Users/rbn/Desktop/samples/AKWF"
sring = (ring :sinharm_0005,:granular_0043,:fmsynth_0050) #ring of available samples
snp=note(:d3)

define :pl do |sname,n,d,r=1,sp=note(:d3) |
  sample sname,rate: pitch_to_ratio(note(n)-snp)*r,sustain: d*0.95,release: d*0.05,amp: 2,cutoff: rrand(80,130)
end

live_loop :b do
  with_fx :panslicer,wave: 1,pulse_width: 0.2 do
    with_fx :echo,mix: 0.4 do
      tick
      tick_set :sam, look/30 #use to select the sample to be played
      sn =sring.look(:sam)
      notes=scale(:d3,:minor_pentatonic,num_octaves: 2)
      pl(sn,notes.choose ,0.15) if spread(5,13).look
      pl(sn,notes.choose,0.15,2) if !spread(5,13).look
      sleep 0.15
    end
  end
end
